Subject: Re: [PATCH v5] system: Add kernel-module-packages to operating-system.

From: Danny Milosavljevic <[email-masked]>
Date: Thu, 27 Feb 2020 12:15:29 +0100

> +                ;; Iterate over each kernel version directory (usually one).

It might make sense not to iterate but rather to insist that there be only one
kernel version directory in that profile derivation.

The reason is that it would catch misconfiguration (modules for the wrong
kernel would not be able to be configured into guix system, instead of failing
at runtime because it's in the wrong directory)